none
드라이버가 SSL(Secure Sockets Layer) 암호화를 사용하여 SQL Sever로 보안 연결을 설정할 수 없습니다. RRS feed

  • 질문

  • sql server 2016은 sqljdbc4.jar(JRE1.6)을 지원 한다고 나와있는데
    (Microsoft JDBC Driver 지원 수명 주기 매트릭스 및 정책)

    실제로 접속하면 제목과 같은 오류가 발생합니다.

    사용이 불가능 한가요?
    2019년 1월 2일 수요일 오전 3:05

모든 응답

  • 안녕하세요,

    jbdc 드라이버 버전이 4.2 미만인가요?

    아래의 최신 jdbc 드라이버를 설치하여 문제가 해결 되는지 먼저 확인 부탁 드립니다.

    https://www.microsoft.com/en-us/download/details.aspx?id=11774

    감사합니다.


    ※ 응답이 문제 해결에 도움이 되었다면 [답변으로 표시] 버튼을 눌러 주시기 바랍니다. 이는 유사한 증상을 겪는 다른 사용자들에게 도움이 될 수 있습니다. 만약 TechNet 구독자 지원에 대한 의견이 있다면, tnsf@microsoft.com으로 문의할 수 있습니다.

    2019년 1월 2일 수요일 오전 4:27
    중재자
  • jdbc 드라이버 4.0입니다 자바 버전을 6사용 하고있습니다.

    sql server 2008에서 sql server 2016으로 sql server만 업그레이드 할려고 합니다.

    자버 버전 6은 사용이 불가능할까요?

    무조건 버전을 올려야 하는 걸까요?

    자바 버전을 올리기 힘든 상태라 자바6에서 발생 하는 문제를 해결 가능한지 알고 싶습니다.

    * 테스트 결과

    자바6 + sqljdbc4 오류

    자바7 + sqljdbc4 정상

    자바8 + sqljdbc4 정상


    • 편집됨 Kim Sangwoo 2019년 1월 2일 수요일 오전 5:16
    2019년 1월 2일 수요일 오전 5:09
  • 안녕하세요,

    JDBC 4.0은 SQL 2016,2017에서 호환이 가능하지 않다고 기재되어 있습니다.

    또한 JDBC Driver 4.0의 경우 2017년에 지원 주기가 종료 되었습니다.

    https://docs.microsoft.com/en-us/sql/connect/jdbc/microsoft-jdbc-driver-for-sql-server-support-matrix?view=sql-server-2017

    감사합니다.

    2019년 1월 3일 목요일 오전 1:03
    중재자